Subject: Bug#742: [X2Go-Dev] Bug#742: Executing parec seems unnecessary now that X2Go Client for Windows 4.0.3.0 uses PulseAudio 5.0

From: Mike Gabriel <[email-masked]>
Date: Thu, 15 Jan 2015 09:04:18 +0000

Control: tag -1 patch

Hi George, hi Mike#2,

On  Mi 14 Jan 2015 20:05:46 CET, George Trakatelis wrote:

> When trying to figure out why I get
> 'Object::connect: No such slot ONMainWindow::slotSndTunOk(int)'
> in the debugging output of X2Go Client for Windows 4.0.3.0,
> I bumped onto a common error:
> Argument mismatch between function call and function definition.
> That prevents slotSndTunOk() from ever executing.
>
> slotStartParec() depends on slotSndTunOk() to execute parec.
> Executing parec was needed due to a PulseAudio's bug as explained in
> http://x2go-dev.x2go.narkive.com/wNgRoxTO/parec
>
> One peculiar thing is that after fixing that mismatch,
> which enabled parec to execute,
> x2goclient became extremely sluggish.
> The only way to revert things back to normal
> was to prevent parec from ever executing.
> It seems that parec in not needed now that X2Go Client uses PulseAudio 5.0.
>
> The attached patch saves x2goclient from calling slotStartParec()
> once per second unnecessarily.

thanks for providing this patch, George.

@Mike#2: I know that the component owner concept is not yet in  
place... But do you feel like taking over bug triaging for X2Go Client  
completely (as offered in one of your previous mails). If no, please  
me (and others) no via x2go-project ML (because then we need to find a  
way of triaging X2Go Client bugs ASAP). If you still volunteer for  
this task, feel free to ping me for feedback whenever needed.

 From now on, I will hold my feet still for incoming patches if they  
don't address pyhoca-gui, pyhoca-cli, python-x2go, x2gobroker or  
nx-libs. I will be so free and tag bugs with "patch" whenever I spot a  
bug that ships a patch.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb